* Heading
:PROPERTIES:
:property: test
:END:

Regular *bold* /italic/ _underline_ +strike-through+ =verbatim= ~code~ text.

Highlight https://invent.kde.org/frameworks/syntax-highlighting [[kde.org]] links.

# This is a comment.

** TODO [#B] Heading [1/3]
  
+ [X] First item
+ [-] Second item
  - [X] Sub-item
  - [ ] Sub-item 2

     
1. Number list
2. [ ] Number list with checkbox

#+NAME: showcase-block
#+BEGIN_BLOCK
Inside a block
#+END_BLOCK

#+BEGIN_SRC rust
  {
      let a = 1;
      let mut b = &a;
      {
          let c = 2;
          b = &c;
      }
      // Attempting to use `b` here will error.
  }
#+END_SRC

#+BEGIN_SRC sh
echo "This is shell script syntax highlighting!"
# comment
# this should not change the syntax highlighting to C language: c
exec ls -la
#+END_SRC

#+BEGIN_SRC py
import bla

def main():
    print("hello world!")

main()

#+END_SRC
